org.eclipse.emf.facet.util.emf.core

## Interface IEPackageBrowserOpener

    public interface IEPackageBrowserOpener

This class is used to register a Browser (typically an Eclipse editor or view), that can be opened from a given EPackage. The registration is done through the "org.eclipse.emf.facet.util.emf.core.modelViewer" extension point.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getBrowserName()` Return a human readable name for the `EPackage` browser.
`void` `openEPackage(EPackage ePackage)` This method opens the given `EPackage` with the browser corresponding to this `IEPackageBrowserOpener`.

### Method Detail

#### openEPackage

    void openEPackage(EPackage ePackage)

This method opens the given `EPackage` with the browser corresponding to this `IEPackageBrowserOpener`.

Parameters:
  `ePackage` - the `EPackage` to be opened

#### getBrowserName

    java.lang.String getBrowserName()

Return a human readable name for the `EPackage` browser.

Returns:
  a human readable name for the `EPackage` browser